# Garlic Command Line Options

garlic, free molecular viewer and editor, free molecular visualization program, protein structure, DNA structure, PDB, molecular rendering, biological macromolecule, Unix, Linux, free software download, open source software, Damir Zucic.

This page explains the command line options. To see this list, type one of the following commands:
garlic -h
garlic -h | less

    =========================================================================
                   Garlic - free molecular viewer and editor
    =========================================================================

    Garlic  was written by  Damir Zucic  (zucic@mefos.hr)  as a complement to
    other molecular  visualization  programs,  like rasmol  (by Roger Sayle).
    It was written to simplify  the analysis of membrane proteins, but it can
    be used as general purpose molecular visualization program, provided that
    molecular coordinates are available in  PDB format, version 2.1 or older.
    Garlic may also be used to analyze protein sequences.

    Some of the  features, which  distinguish this program from  others, are:
    (1) Coordinates, labels and  other data are  automatically displayed  for
        the atom nearest to the current pointer (mouse) position.
    (2) Additional numeric data,  like  hydrophobicity, may be associated  to
        each amino acid. The  whole  structure  may be  colored  according to
        these values.
    (3) Selection mechanism is different.
    (4) Two bonds at different distance from  observer have different colors.
    -------------------------------------------------------------------------
    Usage:              garlic [true_garlic_options] [X11_options] [filename]
    -------------------------------------------------------------------------
    Command line options may be divided in two groups: true (specific) garlic
    options and X11 options.  Options may be given in any order.  All options
    and hard-coded  default values are listed  in the table  below.  For each
    parameter, the value defined through command line is used,  if available.
    If not, the value defined in .garlicrc file is used. If .garlicrc file is
    not  available,  or there is  no corresponding  entry in  this file,  the
    hard-coded default value is used.  The sample  .garlicrc file included in
    the original package contains  the values equal to  hard-coded  defaults.
    -------------------------------------------------------------------------
    garlic option:        Description:
    -------------------------------------------------------------------------
    -h, --help            Print help and exit.
    -v, --version         Print version and exit.
    -r, --register        Register garlic:  inform author that  your site has
                            garlic installed and that someone is going to use
                            this program. By registering, you are encouraging
                            author to continue development of garlic. You can
                            also help  author to  ensure support  for further
                            development. This option sends an e-mail message,
                            containing only the e-mail message header and the
                            word 'Hi!', to zucic@garlic.mefos.hr. Please type
                            garlic -r   if you are going to use this program.
                            If your system is  not connected to the Internet,
                            you can send short e-mail from some other system.
    -nosys                Hide the coordinate system icon  (top left corner).
    -no-control           Hide the control window (upper right corner).
    -stereo               Display stereo image.
    -slab mode            Default slab mode.  Available slab modes are:  off,
                            planar (default),  sphere, half-sphere,  cylinder
                            and half cylinder.
    -fading mode          Default color fading mode.  Available  modes:  off,
                            planar (default),  sphere, half-sphere,  cylinder
                            and half cylinder.
    -as number            Default atom drawing style (hard-coded default: 2).
    -bs number            Default bond drawing style (hard-coded default: 3).
    -fs number            Default number of  color fading surfaces.  Parallel
                            planes, concentric spheres or conc. cylinders may
                            be used as  fading surfaces.  Three  RGB triplets
                            are assigned to each surface. Surfaces are evenly
                            spaced;  at least one and at most eight should be
                            defined. At least three colors  (left, middle and
                            right) are assigned to  each visible atom.  These
                            three colors are based on the position of a given
                            atom  relative to  the nearest  fading surface(s)
                            and on colors assigned to these surfaces.  Colors
                            are combined using linear weighting.
    -lc[i] color          Left color at the  i-th surface;  i is between zero
                            and seven.  The color string should be  compliant
                            with X11R5.  Blue, for example,  may be specified
                            as blue or as RGB:0000/0000/FFFF etc. For example
                            -lc4 RGB:BBBB/8888/4444  defines  the left  color
                            at the surface whose index is equal to four.
    -mc[i] color          Middle color at the i-th surface.
    -rc[i] color          Right color at the i-th surface.
    -pc, --print-config   Print configuration data and exit.
    -pcn                  Print cursor names to stdout and exit.
    -log logfile          Write commands and messages to  log file.  The file
                            will be created in the current working directory.
                            If this is not possible, log file will be created
                            in users home directory.
    -------------------------------------------------------------------------
    X11 option:           Description:
    -------------------------------------------------------------------------
    -display displayname  X server to contact.
    -geometry geom        Window geometry (default: almost the whole screen).
    -bg color             Main window background color (default is black).
    -fg color             Main window foreground color (default: white).
    -fn fontname          Text font; (default is 10x20).
    -tbg color            Text background color (default is black).
    -tfg color            Text color (default is white).
    -cursor cursorname    Cursor name; see  /usr/include/X11/cursorfont.h for
                             names; remove the XC_ prefix.
    -------------------------------------------------------------------------
    filename:             The input file name.  Full pathname may be used. If
                          filename does not contain the path, garlic will try
                          to find  the specified file in  the current working
                          directory.  If the first attempt  to open  the file
                          fails,  the filename  is appended to the content of
                          the environment  variable  MOL_DIR  for  the second
                          attempt.  If this fails too, garlic will search all
                          directories  specified in  the environment variable
                          MOL_PATH.
    -------------------------------------------------------------------------
    Personal initializations may be written to .garlicrc file. Normally, this
    file should be kept in users home directory.  Note that this is  not  the
    first directory to be searched for  .garlicrc file! Up to seven pathnames
    are tryed in the following order:

    .garlicrc                       .garlicrc  in current  working directory.
    $HOME/.garlicrc                 .garlicrc in home directory.  This is the
                                       recommended location.
    $HOME/garlic/.garlicrc          ./garlicrc,  subdirectory garlic of users
                                       home directory.
    /usr/share/garlic/.garlicrc     ./garlicrc in  /usr/share/garlic (Linux).
    /etc/garlicrc                   garlicrc in /etc, Debian Linux; note that
                                       file name is  garlicrc  in  this case!
    /usr/local/lib/garlic/.garlicrc .garlicrc  in  /usr/local/lib/garlic dir.
    /usr/lib/garlic/.garlicrc       .garlicrc in /usr/lib/garlic; this is the
                                       last attempt; if it failes, hard-coded
                                       default values will be used.
    -------------------------------------------------------------------------
    Environment variables:
    -------------------------------------------------------------------------
    MOL_DIR               Defines where to look for the specified file if not
                             found in the current working directory.
    MOL_PATH              The list of directories to be searched.  It is used
                             if attempt with MOL_DIR failes  or if MOL_DIR is
                             not defined. Use space  or colon (:) to separate
                             directory names. MOL_PATH is quite useful; it is
                             recommended to define  this environment variable
                             through  .login,  .bashrc or  some other script.
                             MOL_PATH  is more useful  than  MOL_DIR so it is
                             recommended  to define only  MOL_PATH  variable.
    DISPLAY               X server to which  the program should be connected.
    -------------------------------------------------------------------------
    garlic home page:                           http://garlic.mefos.hr/garlic
    Damir Zucic home page:                      http://garlic.mefos.hr/zucic
    E-mail:                                     zucic@mefos.hr
    =========================================================================